package tab;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

public class TabComponent extends JPanel implements ActionListener {
    private JTabbedPane pane;
    public TabComponent(String title, JTabbedPane pane) {
        this.pane = pane;
        setOpaque(false);
        JLabel label = new JLabel(title);
        add(label);
        JButton button = new JButton("Close");
        button.addActionListener(this);
        add(button);
    }

    public void actionPerformed(ActionEvent e) {
        int i = pane.indexOfTabComponent(this);
        if (i != -1)
            pane.remove(i);
    }
}

